Bug 147921 - curl triggers glibc debugging checks.
curl triggers glibc debugging checks.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-12 17:04 EST by Dave Jones
Modified: 2015-01-04 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-13 22:33:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2005-02-12 17:04:04 EST
Description of problem:

(16:56:58:davej@hanger18:ami)$ curl -O -R -S --fail --show-error
http://cvs.devel.redhatepo/dist/ami/han
*** glibc detected *** curl: double free or corruption (out): 0x00002aaaaaabbb90 ***
Aborted (core dumped)

$ gdb curl core.2943
GNU gdb Red Hat Linux (6.3.0.0-0.18rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib64/tls/libthread_db.so.1".

Core was generated by `curl -O -R -S --fail --show-error
http://cvs.devel.redhat.com/repo/dist/ami/han'.
Program terminated with signal 6, Aborted.
Reading symbols from /usr/lib64/libcurl.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libcurl.so.3
Reading symbols from /lib64/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /usr/lib64/libgssapi_krb5.so.2...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib64/libgssapi_krb5.so.2
Reading symbols from /usr/lib64/libkrb5.so.3...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libkrb5.so.3
Reading symbols from /usr/lib64/libk5crypto.so.3...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib64/libk5crypto.so.3
Reading symbols from /lib64/libcom_err.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libcom_err.so.2
Reading symbols from /lib64/libresolv.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib64/libresolv.so.2
Reading symbols from /usr/lib64/libidn.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libidn.so.11
Reading symbols from /lib64/libssl.so.4...(no debugging symbols found)...done.
Loaded symbols for /lib64/libssl.so.4
Reading symbols from /lib64/libcrypto.so.4...
(no debugging symbols found)...done.
Loaded symbols for /lib64/libcrypto.so.4
Reading symbols from /usr/lib64/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libz.so.1
Reading symbols from /lib64/tls/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib64/tls/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...
(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /lib64/libnss_files.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libnss_files.so.2
#0  0x000000374432e47d in raise
    () from /lib64/tls/libc.so.6
(gdb) bt
#0  0x000000374432e47d in raise () from /lib64/tls/libc.so.6
#1  0x000000374432fbce in abort () from /lib64/tls/libc.so.6
#2  0x0000003744362a81 in __libc_message () from /lib64/tls/libc.so.6
#3  0x000000374436847a in _int_free () from /lib64/tls/libc.so.6
#4  0x0000003744368a76 in free () from /lib64/tls/libc.so.6
#5  0x00000037443f65ec in __libc_dlsym () from /lib64/tls/libc.so.6
#6  0x00000037443d463e in __nss_lookup_function () from /lib64/tls/libc.so.6
#7  0x00000037443af92f in gaih_inet () from /lib64/tls/libc.so.6
#8  0x00000037443b0cb2 in getaddrinfo () from /lib64/tls/libc.so.6
#9  0x0000003747027d9e in Curl_getaddrinfo () from /usr/lib64/libcurl.so.3
#10 0x000000374700a8d7 in Curl_resolv () from /usr/lib64/libcurl.so.3
#11 0x0000003747018ef9 in Curl_connect () from /usr/lib64/libcurl.so.3
#12 0x00000037470225d6 in Curl_follow () from /usr/lib64/libcurl.so.3
#13 0x000000374702297e in Curl_perform () from /usr/lib64/libcurl.so.3
#14 0x0000000000405fd9 in ?? ()
#15 0x000000374431c3fa in __libc_start_main () from /lib64/tls/libc.so.6
#16 0x000000000040206a in ?? ()
#17 0x00007ffffffff678 in ?? ()
#18 0x000000000000001c in ?? ()
#19 0x0000000000000007 in ?? ()
#20 0x00007ffffffff932 in ?? ()
#21 0x00007ffffffff937 in ?? ()
#22 0x00007ffffffff93a in ?? ()
#23 0x00007ffffffff93d in ?? ()
#24 0x00007ffffffff940 in ?? ()
#25 0x00007ffffffff947 in ?? ()
#26 0x00007ffffffff954 in ?? ()
#27 0x0000000000000000 in ?? ()
(gdb) 


Version-Release number of selected component (if applicable):
curl-7.12.3-3
glibc-2.3.4-7


How reproducible:
every time

Steps to Reproduce:
curl -O -R -S --fail --show-error http://cvs.devel.redhatepo/dist/ami/han
on rawhide box.
  
Actual results:
segfault

Expected results:
file downloads
Comment 1 Dave Jones 2005-02-13 22:33:59 EST
this went away with todays glibc update.

Note You need to log in before you can comment on or make changes to this bug.